Package org.apache.sysds.runtime.compress.cost

## Class CostEstimatorFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.cost.CostEstimatorFactory

    public final class CostEstimatorFactory
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CostEstimatorFactory.CostType`

### Constructor Summary

Constructors
`CostEstimatorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ACostEstimate` `create​(CompressionSettings cs, CostEstimatorBuilder costBuilder, int nRows, int nCols, double sparsity)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CostEstimatorFactory

    public CostEstimatorFactory()

### Method Detail

#### create

    public static ACostEstimate create​(CompressionSettings cs,
                                       CostEstimatorBuilder costBuilder,
                                       int nRows,
                                       int nCols,
                                       double sparsity)